Status: Resolved Start date: 11/15/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: cmake Estimated time: 0.00 hour
Target version:
Description

Either write it directly into the file, as done here:
https://code.cor-lab.org/projects/nemomath/repository/diff/trunk/nemomath/cmake/GenerateCppcheck.cmake?rev=131&#38;rev_to=1
5
... or allow dynamic enabling.

Extremely useful if you have false-positives in frequently changing files, since you don't need to specify a line number to suppress
warnings, but write a code comment like

// cppcheck-suppress operatorEqVarError

in front of the code-line.

Associated revisions
Revision 8fa732b5 - 11/25/2011 10:39 AM - J. Wienke

Enable inline suppressions for cppcheck

fixes #721

History
#1 - 11/25/2011 10:33 AM - J. Wienke
- Status changed from New to In Progress

#2 - 11/25/2011 10:40 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r421.
